Bug 84175 - cp segfaults in rescue mode on vfat filesystem
cp segfaults in rescue mode on vfat filesystem
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
Blocks: 79578
  Show dependency treegraph
Reported: 2003-02-12 22:08 EST by Philip Long
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-17 10:55:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Long 2003-02-12 22:08:35 EST
Description of problem:

When booting into rescue mode off Phoebe cdrom to get files of a f*ckd dos
system, /usr/bin/cp segfaults every time.

Version-Release number of selected component (if applicable):

How reproducible:

every time

Steps to Reproduce:
1.Boot into rescue mode of phoebe, network/dhcp, read-write filesystems
2.Mount vfat file systems hda1,2,3 to /mnt/c /mnt/d /mnt/e
3.cp foo.csv foo1.csv
Actual results:

Expected results:
Copied file

Additional info:

Thanks for putting the DHCP option into Phoebe rescue! It's really nice. From
now on I'm insisting on a linux partition to resuce POS dos systems ;).  I
managed to get my brothers M$ Office docs off of the thing with some creative
use of scp and find -exec.  Keep up the good work with the RH Linux!
Comment 1 Jeremy Katz 2003-02-13 17:21:15 EST
I can't reproduce this here.  Is it reproducible for you on different systems? 
Does it work copying things around in the initrd fs?
Comment 2 Philip Long 2003-02-16 14:56:53 EST
I can't reproduce it on my desktop system.  It _might_ be flakey hardware on the
laptop (which is refusing to even pwoer up right now).  Strange that the kernel
didn't panic and scp could encrypt and decrypt successfully hundreds of files
though if there was that knid of problem.  I'd leave this as need-more-info/closed.

Note You need to log in before you can comment on or make changes to this bug.